﻿using API_LoL.Mapper;
using Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DTO.Mapper
{
    public static class ChampionMapper
    {
        public static ChampionDTO ToDTO(this Champion champion)
        {
            return new ChampionDTO(champion.Name, champion.Bio, champion.Icon, champion.Class.ToDTO().ToString(), champion.Image.Base64);
            //return new ChampionDTO(champion.Name, champion.Bio, champion.Icon, champion.Skills);
        }

        public static Champion ToChampion(this ChampionDTO champion)
        {
            Champion champ = new Champion(champion.Name, champClass: champion.Class.ToChampionClass(),icon: champion.Icon,bio: champion.Bio,image :champion.Image);

            //foreach (Skill skill in champion.Skills)
            //{
            //    champ.AddSkill(skill);
            //}
            return champ;
        }
    }
}
